=== debian/changelog ===
pasdoc (0.13.0-1) unstable; urgency=medium

  * Initial release. (Closes: #747547)

 -- Paul Gevers <elbrus@debian.org>  Sat, 17 May 2014 12:26:42 +0200
