## pasdoc 0.14.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # The version of the package.
 # This must be changed on each version change,
 # documented at ReleaseMaking wiki page.
-VERSION := 0.13.0
+VERSION := 0.14.0
 
 # The name of the package / file name
 PACKAGENAME := pasdoc
@@ -22,10 +22,14 @@
 FILE := ./source/console/pasdoc.dpr
 
 # Base directory where binaries will go
+ifndef BINDIR
 BINDIR := bin
+endif
 
 # Base directory where libs, units, objects files will go
+ifndef OUTDIR
 OUTDIR := lib
+endif
 
 # The following is for creating the final package, comment out
 # if that particular section is not used.
@@ -263,6 +267,11 @@
 
 build-pascal_pre_proc: make-dirs
 	$(FPC_DEFAULT) $(FPC_DEBUG_FLAGS) ./source/tools/pascal_pre_proc.dpr
+
+build-gui:
+	lazbuild $(LAZBUILD_OPTIONS) source/packages/lazarus/pasdoc_package.lpk
+	lazbuild $(LAZBUILD_OPTIONS) source/gui/pasdoc_gui.lpi
+	strip source/gui/pasdoc_gui$(EXE)
 
 ############################################################################
 # Help targets
@@ -307,6 +316,9 @@
 	@echo "    a binary for given <os/arch>. So if you want to cross-compile"
 	@echo "    with FPC, make sure to adjust these variables accordingly."
 	@echo
+	@echo "  build-gui:"
+	@echo "    Compile pasdoc_gui with lazbuild (Lazarus build tool)."
+	@echo
 	@echo "  clean:"
 	@echo "    Clean files produced during compilation."
 	@echo
@@ -338,9 +350,3 @@
 # make sure that variables FPC_<os/arch> are properly set.
 #
 # Note that dist targets use the most common archive format for given platform.
-# E.g. for Unices this is tar.gz, for Win32/DOS this is zip.
-# There would be no problems with creating zip archives under Unices
-# (or tar.gz under Win32/DOS), but it's just more common
-# to use tar.gz under Unices.
-############################################################################
-
