=== debian/changelog ===
pasdoc (0.14.0-1) unstable; urgency=medium

  * New upstream release (the reproducicble build release)
  * Update copyright information
  * Bump standards-version (no changes)
  * Drop obsolete patch (applied upstream)
  * Drop debian/missing-sources as it is now upstream

 -- Paul Gevers <elbrus@debian.org>  Sun, 09 Aug 2015 20:07:06 +0200
