=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libxml2-utils,
  opensp,
  texlive-latex-base
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://pasdoc.sipsolutions.net/
 Vcs-browser: http://anonscm.debian.org/gitweb/?p=pkg-pascal/pasdoc.git
 Vcs-git: git://anonscm.debian.org/pkg-pascal/pasdoc.git
