=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	dh_auto_build
 	# Use the help from the binary to create a man page as none is supplied.
 	help2man --output=pasdoc.1 --name="documentation tool for Pascal source code" \
-		 bin/pasdoc
+		 --no-info bin/pasdoc
 
 override_dh_auto_test:
 	# There are more tests possible and the latex versions are not really
