## pasdoc 0.15.0

=== Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # The version of the package.
 # This must be changed on each version change,
-# documented at ReleaseMaking wiki page.
-VERSION := 0.14.0
+# as documented at https://github.com/pasdoc/pasdoc/wiki/ReleaseMaking .
+VERSION := 0.15.0
 
 # The name of the package / file name
 PACKAGENAME := pasdoc
@@ -35,8 +35,11 @@
 # if that particular section is not used.
 # BINFILES: Files that will go into the resulting bin directory
 # DOCFILES: Files that will go into the resulting docs directory
-BINFILES := $(BINDIR)/pasdoc
-DOCFILES := LICENSE ChangeLog docs/README
+BINFILES := $(BINDIR)/pasdoc$(EXE) \
+	$(BINDIR)/pascal_pre_proc$(EXE) \
+	$(BINDIR)/file_to_pascal_string$(EXE) \
+	$(BINDIR)/file_to_pascal_data$(EXE)
+DOCFILES := LICENSE ChangeLog README.md
 
 PACKAGE_BASENAME := $(PACKAGENAME)-$(VERSION)-$(PACKAGE_BASENAME_SUFFIX)
 
@@ -173,6 +176,8 @@
 	       source/gui/*.or \
 	       source/gui/*.ppu \
 	       source/gui/*.res
+	$(MAKE) clean -C tests/
+	$(MAKE) clean -C source/autodoc/
 
 ifdef OUTDIR
 	rm -Rf $(OUTDIR)
@@ -257,28 +262,37 @@
 build-delphi-linux-x86: make-dirs
 	$(DCC_LINUX) $(DCC_RELEASE_FLAGS) $(FILE)
 
-# vpc build targets
-
+# vpc build targets - obsolete, since vpc is no longer supported
 build-vpc-win32: make-dirs
 	$(VPC) -CW $(VPCFLAGS)  $(VPCRTLWIN32LIBDIR) -U$(VPCRTLWIN32UNITDIR) $(VPCUNITDIRS) $(FILE)
 
 build-vpc-os2: make-dirs
 	$(VPC) -CO $(VPCFLAGS)  $(VPCRTLOS2LIBDIR) -U$(VPCRTLOS2UNITDIR) $(VPCUNITDIRS) $(FILE)
 
+# obsolete target
 build-pascal_pre_proc: make-dirs
 	$(FPC_DEFAULT) $(FPC_DEBUG_FLAGS) ./source/tools/pascal_pre_proc.dpr
+
+build-tools: make-dirs
+	$(FPC_DEFAULT) $(FPC_DEBUG_FLAGS) ./source/tools/pascal_pre_proc.dpr
+	$(FPC_DEFAULT) $(FPC_DEBUG_FLAGS) ./source/tools/file_to_pascal_data.dpr
+	$(FPC_DEFAULT) $(FPC_DEBUG_FLAGS) ./source/tools/file_to_pascal_string.dpr
 
 build-gui:
 	lazbuild $(LAZBUILD_OPTIONS) source/packages/lazarus/pasdoc_package.lpk
 	lazbuild $(LAZBUILD_OPTIONS) source/gui/pasdoc_gui.lpi
 	strip source/gui/pasdoc_gui$(EXE)
 
+.PHONY: tests
+tests:
+	$(FPC_DEFAULT) $(FPC_DEBUG_FLAGS) ./tests/fpcunit/test_pasdoc.lpr
+	bin/test_pasdoc -a
+
 ############################################################################
 # Help targets
 ############################################################################
 
 .PHONY: help
-
 help:
 	@echo "Available targets of this Makefile:"
 	@echo
@@ -331,9 +345,7 @@
 	@echo "    and then makes a release archive for given <os/arch>."
 	@echo
 	@echo "  dist-src:"
-	@echo "    This creates source archive, by exporting whole pasdoc sources"
-	@echo "    from pasdoc SVN. It exports using the tag name taken from"
-	@echo "    VERSION variable in this Makefile (currently it's "$(VERSION)")."
+	@echo "    This creates source archive for the current sources."
 
 .PHONY: version
 version:
@@ -342,11 +354,3 @@
 ############################################################################
 # Targets to make release archives
 #
-# Some general targets are present here, and targets
-# that build and archive for particular platform.
-# Note that each dist-<os/arch> target assumes that according build-fpc-<os/arch>
-# target produces a pasdoc binary that works under <os/arch> platform.
-# So if you want to cross-compile to create release archives,
-# make sure that variables FPC_<os/arch> are properly set.
-#
-# Note that dist targets use the most common archive format for given platform.
