=== tests/Makefile ===
.PHONY: clean
clean:
	rm -Rf current_output/ \
	  correct_output/ \
	  scripts/check_cache_tmp/ \
	  scripts/upload_correct_tests_output_tmp/
