=== source/autodoc/Makefile ===
--- 
+++ 
@@ -135,7 +135,7 @@
 	cd latex2rtf/; latex2rtf -a ../latex/docs.aux docs.tex
 
 clean:
-	rm -Rf html/ latex/ latex2rtf/ htmlhelp/
+	rm -Rf html/ latex/ latex2rtf/ htmlhelp/ html_by_pasdoc_gui/
 
 # ------------------------------------------------------------
 # Making and uploading autodoc for http://pasdoc.sourceforge.net/autodoc/
