=== source/component/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 all: $(ALL_OUTPUT)
 
 %.inc: %
-	../tools/file_to_pascal_string $< $@
+	../../bin/file_to_pascal_string $< $@
 
 clean:
 	rm -f $(ALL_OUTPUT)
