=== tests/fpcunit/Makefile ===
.PHONY: default
default:
	make -C ../../ tests
