=== debian/changelog ===
pasdoc (0.15.0-2) unstable; urgency=medium

  * Use dh_install instead of dh_installman as help2man is broken (Closes:
    #954676)
  * Switch to compat 13 (via debhelper-compat B-D)
  * Bump standards to 4.5.0
  * Fix Vcs-Browser field
  * Add check for DEB_BUILD_OPTIONS in dh_auto_test override
  * Add R³: no

 -- Paul Gevers <elbrus@debian.org>  Mon, 20 Apr 2020 21:18:23 +0200

pasdoc (0.15.0-1) unstable; urgency=medium

  * New upstream release
    - CVE-2017-17527 Upstream removed the relevant code as it wasn't used
      anyways, see
      https://lists.alioth.debian.org/pipermail/pkg-pascal-devel/Week-of-Mon-20171211/002156.html
    - Adapt packaging in multiple ways to new source
  * Use system version of jquery during build (Closes: #858640)
  * Drop user documentation as upstream doesn't ship it anymore

 -- Paul Gevers <elbrus@debian.org>  Fri, 09 Feb 2018 22:42:15 +0100
