=== debian/control ===
--- 
+++ 
@@ -3,18 +3,21 @@
 Priority: optional
 Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders: Paul Gevers <elbrus@debian.org>
-Build-Depends: debhelper (>= 9),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
  fp-compiler,
  fp-units-fcl,
+ graphviz,
  help2man,
  latex2html,
+ libjs-jquery,
  libxml2-utils,
  opensp,
  texlive-latex-base
-Standards-Version: 3.9.6
-Homepage: http://pasdoc.sipsolutions.net/
-Vcs-browser: http://anonscm.debian.org/gitweb/?p=pkg-pascal/pasdoc.git
-Vcs-git: git://anonscm.debian.org/pkg-pascal/pasdoc.git
+Standards-Version: 4.5.0
+Homepage: https://github.com/pasdoc/pasdoc/wiki
+Vcs-Browser: https://salsa.debian.org/pascal-team/pasdoc
+Vcs-Git: https://salsa.debian.org/pascal-team/pasdoc.git
 
 Package: pasdoc
 Architecture: any
